Bug 4809 - logrotate aborts if it can't find a directory
Summary: logrotate aborts if it can't find a directory
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: logrotate   
(Show other bugs)
Version: 6.0
Hardware: i386
OS: Linux
medium
low
Target Milestone: ---
Assignee: Preston Brown
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-08-31 18:13 UTC by signal11
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-09-24 18:22:47 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description signal11 1999-08-31 18:13:32 UTC
Observed a problem with logrotate aborting further
processing when it encounters a non-existant directory
listed in /etc/logrotate.conf.  In my case, I had
reconfigured samba to log information somewhere other than
/var/log/samba, and when logrotate read the samba config
file under /etc/logrotate.d, it borked.  The result is that
any logfiles that would normally be processed after samba
will never be rotated.

Comment 1 Preston Brown 1999-09-24 18:22:59 UTC
you should rectify this through the use of the "missingok" flag for
that particular logrotate component.  Otherwise it will be considered
a fatal error.


Note You need to log in before you can comment on or make changes to this bug.